al_invert_transform(3)

NAME

al_invert_transform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_invert_transform(ALLEGRO_TRANSFORM *trans)

DESCRIPTION

Inverts the passed transformation. If the transformation is nearly singular (close to not having an inverse) then the returned transformation may be invalid. Use al_check_inverse(3) to ascertain if the transformation has an inverse before inverting it if you are in doubt.

Parameters:

•   trans - Transformation to invert

    Note: Allegro's transformation inversion functions work correctly only with 2D transformations.

SEE ALSO

al_check_inverse(3)